%define pkg_name        HTML-Prototype
%define pkg_version     1.48
%define rpm_pkg_version 1.48
%define rpm_pkg_release 1.n0i.8

Summary:       Generate HTML and Javascript for the Prototype library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/ES/ESSKAR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Class::Accessor::Fast)}
%{!?_without_test:BuildRequires: perl(HTML::Tree)}


%description
The module contains some code generators for Prototype, the famous
JavaScript OO library and the script.aculous extensions.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.48-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 15 2006 Marius Feraru <altblue@n0i.net> - 1.47-1.n0i.7
- version 1.47

* Wed May 24 2006 Marius Feraru <altblue@n0i.net> - 1.45-1.n0i.6
- version 1.45

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.43-1.n0i.5
- version 1.43

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 1.41-1.n0i.4
- version 1.41

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 1.35-1.n0i.3
- version 1.35

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 1.34-1.n0i.2
- version 1.34

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 1.33-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
